#main.single-specialization {
    background: var(--white);
}

.single-specialization .specialization-intro {
    background: linear-gradient(180deg, rgba(158, 213, 248, 0.15) 48%, rgba(255, 255, 255, 0.00) 100%), url("../../images/intro-background.png") center -210px no-repeat;
    background-size: cover;
}

.single-specialization .intro-wrapper {
    display: flex;
    align-items: center;
    gap: 48px;
}

.single-specialization .intro-wrapper > div {
    flex: 1 1 0;
}

.single-specialization .intro-featured {
    width: 100%;
    max-width: 480px;
}

.single-specialization .intro-heading {
    padding-bottom: 32px;
}

.single-specialization .intro-heading h1 {
    font-size: 48px;
}

.single-specialization .intro-content {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.single-specialization .intro-content p {
    margin: 0;
    padding: 0;
}

.single-specialization .intro-content .subtitle {
    color: var(--lex-granat);
    font-size: 18px;
    font-weight: 700;
}

.single-specialization .intro-content .description {
    color: var(--lex-blue);
    font-size: 16px;
    font-weight: 600;
}

.single-specialization .intro-content .actions {
    display: flex;
    align-items: center;
    gap: 24px;
    padding-top: 12px;
}

.single-specialization .intro-content .actions .button-secondary:hover img {
    filter: brightness(0) invert(1);
}

.single-specialization .specialization-offers {
    padding-top: 96px;
}

.single-specialization .offers-wrapper {
    display: grid;
    gap: 72px 24px;
    grid-template-columns: repeat(3, 1fr);
}

.single-specialization .offer-panel {
    background: rgba(77, 156, 224, 0.10);
    border-radius: 24px;
    padding: 104px 24px 24px 24px;
    position: relative;
}

.single-specialization .offer-icon {
    box-shadow: 1px 2px 32px 0 rgba(77, 156, 224, 0.16);
    background: var(--white);
    border-radius: 24px;
    width: 96px;
    height: 96px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: -48px;
    right: 36px;
}

.single-specialization .offer-icon img {
    max-width: 64px;
    height: auto;
}

.single-specialization .offer-content {
    color: var(--lex-granat);
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.single-specialization .offer-content h3 {
    font-size: 24px;
    font-weight: 700;
    line-height:1.35;
}

.single-specialization .offer-content p {
    font-size: 14px;
    font-weight: 500;
    line-height: 1.45;
    margin: 0;
    padding: 0;
}

@media (max-width: 992px) {
    .single-specialization .intro-heading h1 {
        font-size: 24px;
    }

    .single-specialization .offers-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .single-specialization .intro-wrapper {
        flex-direction: column;
        gap: 32px;
    }

    .single-specialization .intro-heading {
        padding-bottom: 0;
    }

    .single-specialization .intro-featured {
        max-width: 100%;
        text-align: center;
    }

    .single-specialization .intro-content .subtitle {
        font-size: 16px;
    }

    .single-specialization .offer-panel {
        padding: 64px 24px 24px 24px;
    }
}

@media (max-width: 576px) {
    .single-specialization .intro-content .actions {
        flex-direction: column;
        gap: 16px;
        padding-top: 0
    }

    .single-specialization .offers-wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .single-specialization .offer-icon {
        width: 80px;
        height: 80px;
        top: -38px;
        right: 30px;
    }

    .single-specialization .offer-icon img {
        max-width: 52px;
        height: auto;
    }
}